classification
Title: Document requirements for os.symlink usage on Windows
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Add a section to Windows FAQ explaining os.symlink
View: 10608
Assigned To: brian.curtin Nosy List: brian.curtin, eric.smith, jaraco, nedbat
Priority: normal Keywords:

Created on 2010-07-22 18:45 by brian.curtin, last changed 2011-01-04 04:11 by brian.curtin. This issue is now closed.

Messages (4)
msg111207 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-07-22 18:45
#1578269 introduced os.symlink support for Windows 6.0, but it requires the SeCreateSymbolicLinkPrivilege privilege to be enabled for the calling user, which is not always the case. Documentation needs to be added on the specific details here, possibly including a method to request privilege escalation.
msg112322 - (view) Author: Ned Batchelder (nedbat) * (Python triager) Date: 2010-08-01 13:00
This breaks virtualenv3 on Python 3.2, which simply test for the existence of os.symlink, which then fails for lack of privileges.  Perhaps an os.can_symlink() method, returning a boolean?  It can request privileges if you like, but provides a simple test that lets scripts know whether they should attempt a symlink or not.
msg112324 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2010-08-01 13:41
Ned, you bring up a good point. Please see #9333 for a discussion on the new os.symlink and privileges.
msg125292 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2011-01-04 04:11
Closed. I'll be adding this in #10608.
History
Date User Action Args
2011-01-04 04:11:42brian.curtinsetstatus: open -> closed
nosy: jaraco, eric.smith, nedbat, brian.curtin
messages: + msg125292

superseder: Add a section to Windows FAQ explaining os.symlink
resolution: duplicate
stage: needs patch -> resolved
2010-08-01 13:41:53jaracosetmessages: + msg112324
2010-08-01 13:00:16nedbatsetnosy: + nedbat
messages: + msg112322
2010-07-22 18:57:19eric.smithsetnosy: + eric.smith
2010-07-22 18:45:37brian.curtincreate